Search found 27 matches

Go to advanced search

by mrrclb48z
Wed Apr 25, 2018 2:56 pm
Forum: Python scripting and macros
Topic: why 1pyramid?(3)textLABEL
Replies: 6
Views: 285

Re: why 1pyramid?(3)textLABEL

Thank you. I coud understand a little. import FreeCAD import Part import DraftTools import Draft import Mesh def myPyramidFromMesh2Solid(xIn,yIn,bIn,hIn): x = float(xIn) y = float(yIn) b = float(bIn) h = float(hIn) x2 = x+b*0.5 y2 = y+b*0.5 x3 = x+b y3 = y+b z = 0 z2 = h a =[[x,y,z], #dummy [x,y,z],...
by mrrclb48z
Wed Apr 11, 2018 1:32 pm
Forum: Python scripting and macros
Topic: RegularTetrahedron dim can not
Replies: 1
Views: 124

RegularTetrahedron dim can not

What am I doing wrong with the macro? full script : # -*- coding: utf-8 -*- import FreeCAD import Part import DraftTools import Draft def myRegularTetrahedron(x,y,b,h): z=0 p1 = FreeCAD.Vector(x,y,z) p2 = FreeCAD.Vector(x+b,y,z) p3 = FreeCAD.Vector(x+b,y+b,z) p4 = FreeCAD.Vector(x,y+b,z) z=h p5 = Fr...
by mrrclb48z
Tue Apr 10, 2018 3:08 pm
Forum: Python scripting and macros
Topic: why 1pyramid?(3)textLABEL
Replies: 6
Views: 285

Re: why 1pyramid?(3)textLABEL

Thanks for full script # -*- coding: utf-8 -*- import FreeCAD import Part import DraftTools import Draft def myPyramid(x,y,b,h): p1 = FreeCAD.Vector(x,y,0) p2 = FreeCAD.Vector(x+b,y,0) p3 = FreeCAD.Vector(x+b,y+b,0) p4 = FreeCAD.Vector(x,y+b,0) p5 = FreeCAD.Vector(x+b*.5,y+b*.5,h) w1 = Draft.makeWir...
by mrrclb48z
Mon Apr 09, 2018 2:03 pm
Forum: Python scripting and macros
Topic: why 1pyramid?(3)textLABEL
Replies: 6
Views: 285

why 1pyramid?(3)textLABEL

I coud understand a little I can not understand Dwire NO? Text NO? I need (Dwire and Text) count? (For each function call) Sorry for weird English What am I doing wrong with the (new)macro? output: Label="myPyramid_x0y5(Text)",Text="myPyramid_x0y0" Label="Text001,Label" ,Text="myPyramid_x0y5" # -*- ...
by mrrclb48z
Mon Apr 09, 2018 1:50 pm
Forum: Python scripting and macros
Topic: why 1pyramid?(2)
Replies: 2
Views: 141

Re: why 1pyramid?(2)

Thank you
by mrrclb48z
Sat Apr 07, 2018 2:14 pm
Forum: Python scripting and macros
Topic: why 1pyramid?(2)
Replies: 2
Views: 141

why 1pyramid?(2)

I want 2pyramid, Solid Only, DWire* Delete  # -*- coding: utf-8 -*- import FreeCAD import Part import DraftTools import Draft def fcPyramid(x,y,b,h): x1=x y1=y z1=0 x2=x+b y2=y z2=0 x3=x+b y3=y+b z3=0 x4=x y4=y+b z4=0 x5=x+b*.5 y5=y+b*.5 z5=h points=[FreeCAD.Vector(x1,y1,z1),FreeCAD.Vector(x2,y2,z2)...
by mrrclb48z
Tue Mar 20, 2018 11:05 am
Forum: Python scripting and macros
Topic: (Not macro) awk :input STEP file : output LINE(x,y,1)-(2,3,1) how?
Replies: 1
Views: 171

(Not macro) awk :input STEP file : output LINE(x,y,1)-(2,3,1) how?

1./CARTESIAN_POINT/ (0.E+000,0.E+000) (1.,0.E+000) 3d? 2d? 2./VECTOR/? 3.awk to python converter? sample https://qiita.com/mrrclb48z/items/453f410d117f87958bd4 function name(parameter) { if(index(parameter,"E")==0){ return parameter } else { split(parameter,p,"E");ret=p[1] * ( 10 ** p[2] ) return re...
by mrrclb48z
Mon Mar 12, 2018 1:26 pm
Forum: Python scripting and macros
Topic: why 1pyramid?
Replies: 2
Views: 305

Re: why 1pyramid?

Thanks # -*- coding: utf-8 -*- import FreeCAD import Part import Part,PartGui from FreeCAD import Base def kansu(i): b=1 h=0.5 myWedgei='myPyramid' + str(i) pyramid=App.ActiveDocument.addObject("Part::Wedge",myWedgei) pyramid.Xmin=0.00 pyramid.Ymin=0.00 pyramid.Zmin=0.00 pyramid.X2min=b/2 pyramid.Z2...
by mrrclb48z
Fri Mar 09, 2018 9:04 pm
Forum: 日本語フォーラム
Topic: 英語のフォーラムでお礼の仕方を教えて下さい。
Replies: 0
Views: 506

英語のフォーラムでお礼の仕方を教えて下さい。

(参考)Python scripting and macrosに投稿してみました。
https://qiita.com/mrrclb48z/items/41465c76c6fe3ff78fb2
よろしくお願いします。
by mrrclb48z
Fri Mar 09, 2018 12:21 pm
Forum: Python scripting and macros
Topic: why 1pyramid?
Replies: 2
Views: 305

why 1pyramid?

# -*- coding: utf-8 -*- import FreeCAD import Part import Part,PartGui from FreeCAD import Base def kansu(i): b=1 h=0.5 myWedgei='myPyramid' + str(i) pyramid=App.ActiveDocument.addObject("Part::Wedge",myWedgei) pyramid.Xmin=0.00 pyramid.Ymin=0.00 pyramid.Zmin=0.00 pyramid.X2min=b/2 pyramid.Z2min=b/2...

Go to advanced search